net.minecraft.world.gen.structure

## Class ComponentStrongholdRoomCrossing

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentStrongholdRoomCrossing

-     public class ComponentStrongholdRoomCrossing
      extends StructureComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `strongholdRoomCrossingChestContents` Items that could generate in the chest that is located in Stronghold Room Crossing.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentStrongholdRoomCrossing(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen
    `static ComponentStrongholdRoomCrossing` | `findValidPlacement(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `findIntersecting, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strongholdRoomCrossingChestContents

          public static final WeightedRandomChestContent[] strongholdRoomCrossingChestContents

      Items that could generate in the chest that is located in Stronghold Room Crossing.

  - ### Constructor Detail

    - #### ComponentStrongholdRoomCrossing

          public ComponentStrongholdRoomCrossing(int par1,
                                         Random par2Random,
                                         StructureBoundingBox par3StructureBoundingBox,
                                         int par4)

  - ### Method Detail

    - #### buildComponent

          public void buildComponent(StructureComponent par1StructureComponent,
                            List par2List,
                            Random par3Random)

      Initiates construction of the Structure Component picked, at the current Location of StructGen
      Overrides:
        `buildComponent` in class `StructureComponent`

    - #### findValidPlacement

          public static ComponentStrongholdRoomCrossing findValidPlacement(List par0List,
                                                           Random par1Random,
                                                           int par2,
                                                           int par3,
                                                           int par4,
                                                           int par5,
                                                           int par6)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`